package org.framework.lazy.cloud.network.heartbeat.client.netty.permeate.udp.advanced;


import io.netty.channel.ChannelHandlerContext;
import org.framework.lazy.cloud.network.heartbeat.common.constant.UdpMessageType;
import org.framework.lazy.cloud.network.heartbeat.common.NettyProxyMsg;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.permeate.udp.AbstractUdpHandleChannelHeartbeatTypeAdvanced;


/**
 * 服务端 处理客户端心跳
 * UDP_TYPE_HEARTBEAT
 */
public class ClientHandleUdpChannelHeartbeatTypeAdvanced extends AbstractUdpHandleChannelHeartbeatTypeAdvanced<NettyProxyMsg> {

    /**
     * 处理当前数据
     *
     * @param channelHandlerContext 当前通道
     * @param msg     通道数据
     */
    @Override
    public void doHandler(ChannelHandlerContext channelHandlerContext, NettyProxyMsg msg) {
        NettyProxyMsg hb = new NettyProxyMsg();
        hb.setType(UdpMessageType.UDP_TYPE_HEARTBEAT);
//        channelHandlerContext.writeAndFlush(hb);
    }

}
